/*---=== GOOGLE FONTS ===---*/
@import url('https://fonts.googleapis.com/css2?family=Space+Grotesk:wght@300..700&family=Zen+Dots&display=swap');


/*---=== VARIABLES CSS ===----------------------------------------------------------*/
:root {
  
  /*-=== Colors ===-*/

  --first-color: #2990e4;
  --first-color-dark: #1c649f;
  --title-color: hsl(180, 4%, 98%); /* #FAFAFA */
  --title-color-black: hsl(180, 4%, 12%); /* #1D2020 */
  --text-color: hsl(180, 4%, 72%); /*#B5BABA*/
  --body-color: #0d0d0d;
  --container-color: hsl(180, 6%, 12%); /* #1D2020 */
  --image-degrade-color: #080808;
  --technogym-color: 52;
  --orange-color: 11;
  --bleu-color: 207;
  --panatta-color: 343;
  --hoist-color: 207;
  --lifefitness-color: 350;
  --color-technogym: #fede1c;
  --color-panatta: #cb023a;
  --color-lifefitness: #a6182f;
  --color-hoist: #2990e4;
  --color-btn: #0c2b44;
  --color-btn-border: #2990e4;

  /*-=== IMC ===-*/
  --imc-man-1: #5bc8f3;
  --imc-man-2: #9db63b;
  --imc-man-3: #fac90e;
  --imc-man-4: #f48a20;

  /*-=== Font family ===-*/
  --body-font: 'Space Grotesk', sans-serif;
  --second-font: 'Zen Dots', sans-serif;

  /*-=== Font sizes ===-*/
  --extra-font-size: 18rem;
  --big-font-size: 4rem;
  --h1-font-size: 2.75rem;
  --h2-font-size: 2.25rem;
  --h3-font-size: 1.25rem;
  --h4-front-size: 1rem;
  --normal-font-size: 1rem;
  --small-font-size: 0.875rem;

  /*-=== Font weight ===-*/
  --font-regular: 400;
  --font-semibold: 600;
  --font-bold: 800;

  /*-=== Transition ===-*/
  --transition-timing: 0.3s ease;
}


/*---=== RESPONSIBLE TYPOGRAPHY ===-----------------------------------------------*/
@media screen and (max-width: 1024px) {
  :root {
    --extra-font-size: 15rem;
    --big-font-size: 3rem;
    --h1-font-size: 2rem;
    --h2-font-size: 1.5rem;
    --h3-font-size: 1rem;
    --normal-font-size: 0.938rem;
    --small-font-size: 0.813rem;
  }
}

/*---=== BASE ===-----------------------------------------------------------------*/

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

body,
button,
input,
textarea {
  color: var(--text-color);
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
}

body {
  background-color: var(--body-color);
}

h1,
h2,
h3,
h4 {
  color: var(--title-color);
  font-family: var(--second-font);
  font-weight: var(--font-regular);
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
}

p {
  line-height: 150%;
}

img {
  display: block;
  max-width: 100%;
}

input,
textarea,
button {
  border: none;
  outline: none;
  background-color: transparent;
}


/*---=== REUSABLE CSS CLASSES ===-----------------------------------------------------------------*/

.btn {
  padding: 0.2rem;
  background-color: var(--color-btn);
  border-radius: 5px;
  border: none;
  position: relative;
  cursor: pointer;
  overflow: hidden;
  transition: 0.5s;
}
.btn .in {
  padding: 0.75rem 1.25rem;
  background: var(--color-btn);
  font-size: 1rem;
  text-transform: uppercase;
  font-weight: var(--font-bold);
  position: relative;
  z-index: 99;
  transition: 0.5s;
}

.btn .in a {
  color: var(--color-btn-border);
}

.btn::after {
  content: '';
  position: absolute;
  top: 50%;
  left: 50%;
  width: 2.5rem;
  height: 16rem;
  background: var(--color-btn-border);
  transform: translate(-50%, -50%) rotate(45deg);
  animation: animate 2s linear infinite;
}
@keyframes animate {
  100% {
    transform: translate(-50%, -50%) rotate(225deg);
  }
}
.btn:hover .in {
  background: var(--color-btn-border);
}
.btn:hover .in a {
  color: black;
}
.btn:hover {
  background: var(--color-btn-border);
  box-shadow: 0 0 10px var(--color-btn-border),
  0 0 40px var(--color-btn-border),
  0 0 80px var(--color-btn-border);
}

.button {
  display: inline-block;
  background-color: var(--first-color);
  padding: 1.25rem 2rem;
  color: black;
  font-weight: var(--font-semibold);
  cursor: pointer;
  transition: background 0.3s;
}

.button:hover {
  background-color: var(--first-color-dark);
}

.button-flex {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  column-gap: 0.5rem;
}

.button i {
  font-size: 1.25rem;
  transition: transform 0.3s;
}

.button-flex:hover i {
  transform: translateX(0.25rem);
}

.section {
  padding-top: 8rem;
}

.section__title {
  font-size: var(--h1-font-size);
  margin-bottom: 3rem;
}

.section__title::before {
  content: attr(data-title);
  display: block;
  color: var(--first-color);
  font-size: var(--h3-font-size);
  transform: rotate(-2deg);
  margin-bottom: 0.75rem;
}

.title-center {
  display: flex;
  justify-content: center;
}

.separator {
  font-size: 1.25rem;
  text-align: center;
}


/*---=== LAYOUT ===-----------------------------------------------------------------*/

.container {
  max-width: 1124px;
  margin-inline: auto;
  padding-inline: 2rem;
}

.grid {
  display: grid;
}

.home__container {
  grid-template-columns: 7fr 5fr;
}


/*---=== HEADER & NAV ===-----------------------------------------------------------------*/

.header {
  background-color: transparent;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 1000;
}

.nav,
.nav__list {
  display: flex;
  align-items: center;
}

.nav {
  justify-content: space-between;
  height: 5.5rem;
}

.nav__logo {
  display: flex;
  align-items: center;
  column-gap: 1rem;
  color: var(--first-color);
  font-family: var(--second-font);
  font-size: var(--h3-font-size);
}

.nav__logo-img {
  width: 50px;
  border-radius: 20%;
}

.nav__link,
.nav__close,
.nav__toggle {
  color: var(--title-color);
}

.nav__list {
  column-gap: 2rem;
}

.nav__link {
  position: relative;
  transition: color 0.3s;
}

.nav__link:hover {
  color: var(--first-color);
}

.nav__link::after {
  content: "";
  width: 0%;
  height: 2px;
  background-color: var(--first-color);
  position: absolute;
  left: 0;
  bottom: -0.5rem;
  transition: width 0.4s;
}

.nav__link:hover::after {
  width: 100%;
}

.nav__close,
.nav__toggle {
  display: none;
}

.nav__link--active {
  color: var(--first-color);
}

.nav__button {
  padding: 0.5rem 1rem;
}

/* Active link */
.active__link {
  color: var(--first-color);
}

.nav__button.active__link {
  background-color: var(--first-color-dark);
}

.active__link::after {
  width: 100%;
}

/* Change background header */
.bg-header {
  background-color: var(--body-color);
  box-shadow: 0.5px 0.5px 10px var(--first-color);
}

/*---=== MAIN ===-----------------------------------------------------------------*/

.main {
  overflow: hidden;
}


/*---=== HOME ===-----------------------------------------------------------------*/

.home__container {
  padding-top: 3rem;
}

.home__data::before {
  position: absolute;
  content: "AIX BODY FORM";
  top: 2%;
  max-width: 1124px;
  font-family: var(--first-font);
  font-size: var(--extra-font-size);
  font-weight: 900;
  line-height: 16rem;
  color: var(--container-color);
  opacity: 0.4;
  z-index: -1;
}

.home__data {
  padding-top: 4rem;
}

.home__subtitle {
  color: var(--first-color);
  font-size: var(--h1-font-size);
}

.home__title {
  font-size: var(--big-font-size);
  margin-bottom: 2rem;
}

.home__description {
  max-width: 95%;
  margin-bottom: 2rem;
  text-align: justify;
}

.home__title > span {
  font-size: var(--h2-font-size);
}

.home__button {
    padding: 1rem 1rem;
    font-size: 1.25rem;
  }


/*---=== LOGOS ===-----------------------------------------------------------------*/
.logos {
  margin-top: 30px;
}

.logos__bg {
  background-color: #94c7f1;
  overflow: hidden;
}

.logos__logo-img {
  height: 30px;
}

.logos__bg,
.logos__list,
.logos__item {
  display: flex;
  --gap: 3rem;
  column-gap: var(--gap);
  padding: 0.1rem;
}

.logos__list {
  flex-shrink: 0;
  animation: logos 18s linear infinite;
}

.logos__item {
  align-items: center;
  color: var(--body-color)
}

.logos__item i {
  font-size: 1rem;
  font-weight: var(--font-semibold);
  color: #10395b;
}

/* Animation */
@keyframes logos {
  to {
    transform: translateX(calc(-100% - var(--gap)));
  }
}

/*---=== PRESENTATION ===-----------------------------------------------------------------*/
.intro__container > h1 {
  text-align: center;
  margin-bottom: 1rem;
  font-family: var(--first-font);
}

.intro__img {
  border-radius: 20px;
  box-shadow:8px 8px 10px 0 rgba(0,0,0,0.35);
  /* box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px; */
}

.intro__data {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
  padding-bottom: 1rem;
}

.intro__text  {
  font-size: var(--h3-font-size);
  text-align: justify;
}

.intro__subtitle {
  text-align: left;
  color: var(--title-color);
  font-weight: var(--font-semibold);
  font-size: var(--h3-font-size);
  line-height: 2;

}


/*---=== GALERIE PHOTOS ===-----------------------------------------------------------------*/
.gallery__swiper {
  max-width: 100%;
  max-height: 100%;
}

.gallery-slide {
  position: relative;
  max-height: 100%;
  overflow: hidden;
  border-radius: 10px;
}

.swiper-slide .gallery-slide-img {
  max-width: 100%;
  max-height: 100%;
  transform: scale(1.1);
  transition: 0.5s;
}

.swiper-slide-active .gallery-slide-img {
  transform: scale(1);
}

.gallery-slide-img img {
  max-width: 100%;
  max-height:100%;
  user-select: none;
  filter: grayscale(1);
}

.swiper-slide-active .gallery-slide-img img {
  filter: grayscale(0);
}

.swiper-slide.gallery-slide p {
  font-family: 'Poppins', sans-serif;
  z-index: 2;
  position: absolute;
  left: 5px;
  bottom: 5px;
  color: rgba(255, 255, 255, 0.3);
  font-size: 1rem;
  font-weight: 500;
  font-style: italic;
  letter-spacing: 2px;
  transition: 0.3s;
  user-select: none;
  padding-inline: 1rem;
  border-radius: 0.5rem;
}

.swiper-slide-active.gallery-slide p {
  background: var(--container-color);
  color: white;
}

.swiper-button-prev.gallery,
.swiper-button-next.gallery {
  background-color: hsl(var(--bleu-color), 90%, 50%);
  box-shadow: 0 0 16px 4px hsl(var(--bleu-color), 97%, 46%);
  width: 2.5rem;
  height: 2.5rem;
  border-radius: 50%;
  font-size: 2.5rem;
  font-weight: 900;
  color: var(--body-color);
  cursor: pointer;
  transition: transform 0.4s;
}


/*---=== MACHINES ===-----------------------------------------------------------------*/
.machine__subtitle {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.75rem;
}

.machine__subtitle.panatta h2 {
  color: var(--color-panatta) !important;
}
.machine__subtitle.technogym h2 {
  color: var(--color-technogym);
}
.machine__subtitle.lifefitness h2 {
  color: var(--color-lifefitness);
}
.machine__subtitle.hoist h2 {
  color: var(--color-hoist);
}

.machine {
  position: relative;
}

.machine__container {
  position: relative;
  row-gap: 1rem;
  margin-bottom: 5rem;
}

.shape-muscu {
  position: absolute;
  opacity: 0.2;
  width: 18rem;
  top: -12rem;
  right: 2rem;
}

.machine__swiper {
  max-width: 1100px;
}

.machine__card {
  position: relative;
  background-color: var(--container-color);
  border-radius: 2rem;
  overflow: hidden;
  box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}

.panatta .machine__card-marque {
  color: var(--color-panatta);
  font-weight: var(--font-bold);
}
.technogym .machine__card-marque {
  color: var(--color-technogym);
  font-weight: var(--font-bold);
}
.lifefitness .machine__card-marque {
  color: var(--color-lifefitness);
  font-weight: var(--font-bold);
}
.hoist .machine__card-marque {
  color: var(--color-hoist);
  font-weight: var(--font-bold);
}

.machine__card-image {
  width: 100%;
  height: 600px;
  max-height: 50rem;
  display: flex;
  align-items: end;
  justify-content: center;
  padding: 2rem 1rem 1rem 1rem;
}
.machine__card-img {
  max-height: 500px;
  transition: var(--transition-timing);
}

.machine__card:hover .machine__card-img {
  transform: scale(1.1);
}

.machine__card-data {
  width: calc(100% - 6rem);
  position: absolute;
  left: 1.5rem;
  top: 2rem;
}

/*--- Machine Info Description ---*/

.machine__card-info {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: hsla(0, 0%, 0%, 0.1);
  backdrop-filter: blur(12px);
  padding: 3rem 2rem 2rem;
  clip-path: circle(8px at 88% 9%);
  transition: clip-path 0.5s ease-in-out;
  z-index: 15;
}

/* Clip path animation */
.machine__card-info:hover,
.machine__card-btn-description:hover ~ .machine__card-info {
  clip-path: circle(100%);
}

.machine__logos {
  display: flex;
  height: 2.5rem;
}

.hoist .machine__logos {
  display: flex;
  height: 2.5rem;
  gap: 1rem;
}

.hoist .machine__logos img {
  background-color: white;
  border-radius: 0.5rem;
  padding-inline: 0.5rem;

}

.panatta .machine__card-info-title {
  color: var(--color-panatta);
}
.technogym .machine__card-info-title {
  color: var(--color-technogym);
}
.lifefitness .machine__card-info-title {
  color: var(--color-lifefitness);
}
.hoist .machine__card-info-title {
  color: var(--color-hoist);
}

.machine__card-info-description {
  height: 90%;
  text-align: justify;
  overflow-y: auto;
  padding: 10px;
}

.machine__card-info-description p {
  color: var(--title-color);
  padding-bottom: 0.5rem;
}

.panatta .machine__card-info-description i {
  color: var(--color-panatta);
}
.technogym .machine__card-info-description i {
  color: var(--color-technogym);
}
.lifefitness .machine__card-info-description i {
  color: var(--color-lifefitness);
}
.hoist .machine__card-info-description i {
  color: var(--color-hoist);
}

/* Scrollbar description */
/* pour Chrome, Edge, Safari */
.machine__card-info-description::-webkit-scrollbar {
  width: 5px;
}
.machine__card-info-description::-webkit-scrollbar-track {
  background: #f1f1f1;
}
.machine__card-info-description::-webkit-scrollbar-thumb {
  background: #888;
  border-radius: 5px;
}
.machine__card-info-description::-webkit-scrollbar-thumb:hover {
  background: #555;
}

.machine__card-info-data {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 1.5rem;
  width: 85%;
}

.machine__card-info-link {
  display: flex;
  gap: 2rem;
}

/*--- Machine Info Zone ---*/
.machine__card-zone {
  position: absolute;
  top: 0;
  right: 0;
  width: 400px;
  height: 100%;
  backdrop-filter: blur(12px);
  padding: 4rem 1.5rem 1.5rem;
  clip-path: inset(0% 100%);
  transition: clip-path 0.5s ease-in-out;
  z-index: 9;
}
/* Clip path animation */
.machine__card-zone:hover,
.machine__card-btn-zone:hover ~ .machine__card-zone {
  clip-path: inset(0);
}

.machine__card-zone  h3 {
  margin-bottom: 1rem;
}

.panatta .machine__card-zone-title {
  color: var(--color-panatta);
  margin-bottom: 0.5rem;
}
.technogym .machine__card-zone-title {
  color: var(--color-technogym);
  margin-bottom: 0.5rem;
}
.lifefitness .machine__card-zone-title {
  color: var(--color-lifefitness);
  margin-bottom: 0.5rem;
}
.hoist .machine__card-zone-title {
  color: var(--color-hoist);
  margin-bottom: 0.5rem;
}

.machine__card-zone-box {
  padding-top: 1rem;
}

.machine__card-zone-box-2 {
  padding-top: 2rem;
}

.machine__card-zone-box-2 h4 {
  margin-bottom: 1rem;
}

.machine__card-zone-box-2 p {
  color: var(--title-color);
}

.panatta .machine__card-zone-box-2 i {
  color: var(--color-panatta);
}
.technogym .machine__card-zone-box-2 i {
  color: var(--color-technogym);
}
.lifefitness .machine__card-zone-box-2 i {
  color: var(--color-lifefitness);
}
.hoist .machine__card-zone-box-2 i {
  color: var(--color-hoist);
}

.machine__card-zone-img {
  width: 250px;
}

.machine__card-zone-muscle {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}

/*--- Boutons Description ---*/
.panatta .machine__card-btn-description,
.technogym .machine__card-btn-description,
.lifefitness .machine__card-btn-description,
.hoist .machine__card-btn-description {
  position: absolute;
  background-color: hsl(var(--panatta-color), 90%, 50%);
  box-shadow: 0 0 16px 4px hsl(var(--panatta-color), 90%, 50%);
  /* position: absolute; */
  top: 1.5rem;
  right: 1.5rem;
  width: 2.5rem;
  height: 2.5rem;
  border-radius: 50%;
  display: grid;
  place-items: center;
  font-size: 1.5rem;
  color: var(--body-color);
  z-index: 20;
  cursor: pointer;
  transition: transform 0.4s;
  user-select: none;
}
.technogym .machine__card-btn-description {
  background-color: hsl(var(--technogym-color), 90%, 50%);
  box-shadow: 0 0 16px 4px hsl(var(--technogym-color), 90%, 50%);
}
.lifefitness .machine__card-btn-description {
  background-color: hsl(var(--lifefitness-color), 90%, 50%);
  box-shadow: 0 0 16px 4px hsl(var(--lifefitness-color), 90%, 50%);
}
.hoist .machine__card-btn-description {
  background-color: hsl(var(--hoist-color), 90%, 50%);
  box-shadow: 0 0 16px 4px hsl(var(--hoist-color), 90%, 50%);
}

.panatta .machine__card-btn-description::after, .panatta .machine__card-btn-description::before,
.technogym .machine__card-btn-description::after, .technogym .machine__card-btn-description::before,
.lifefitness .machine__card-btn-description::after, .lifefitness .machine__card-btn-description::before,
.hoist .machine__card-btn-description::after, .hoist .machine__card-btn-description::before {
  position: absolute;
  display: grid;
  content: '';
  top: 1.5rem;
  right: 1.5rem;
  width: 100%;
  height: 100%;
  border-radius: 50%;
  background-image: conic-gradient(from var(--angle), transparent 70%, hsl(var(--panatta-color), 90%, 50%));
  top: 50%;
  left: 50%;
  translate: -50% -50%;
  padding: 10px;
  animation: spin 3s linear infinite;
  z-index: -1;
}

.technogym .machine__card-btn-description::after, .panatta .machine__card-btn-description::before{
  background-image: conic-gradient(from var(--angle), transparent 70%, hsl(var(--technogym-color), 90%, 50%));
}

.lifefitness .machine__card-btn-description::after, .panatta .machine__card-btn-description::before{
  background-image: conic-gradient(from var(--angle), transparent 70%, hsl(var(--lifefitness-color), 90%, 50%));
}

.hoist .machine__card-btn-description::after, .panatta .machine__card-btn-description::before{
  background-image: conic-gradient(from var(--angle), transparent 70%, hsl(var(--hoist-color), 90%, 50%));
}

@property --angle {
  syntax: "<angle>";
  inherits: false;
  initial-value: 0deg;
}

.machine__card-btn-description::before {
  filter: blur(5rem);
  opacity: 0.8;
}

@keyframes spin {
  from {
    --angle: 0deg;
  }
  to {
    --angle: 360deg;
  }
}

/* Rotate icon */
.machine__card-btn-description:hover {
  transform: rotate(-45deg);
}

/*--- Bouton Zone Musculaire ---*/
.machine__card-btn-zone {
  position: absolute;
  bottom: 60%;
  left: 0;
  z-index: 10;
  cursor: pointer;
  user-select: none;
  width: 85px;
}
.machine__card-btn-zone img {
  width: 5rem;
  transform: rotate(45deg);
  animation: zoom-in 1.5s linear infinite;
  transition: transform 0.4s;
}

@keyframes zoom-in {
  0% {
    width: 85%;
  }
  50% {
    width: 100%;
  }
  100% {
    width: 85%;
  }
}


.machine__card-btn-zone img:hover {
  transform: rotate(-10deg) scale(1.20);
}

.icon-haltere {
  width: 90%;
}

.machine__card-shadow {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(
    360deg,
    hsla(0, 0%, 0%, 0) 80%,
    hsl(0, 0%, 0%) 100%
  );
}

/*- SWIPER MACHINE */
.swiper {
  margin-inline: initial;
}

.swiper-button-prev::after,
.swiper-button-next::after {
  content: "";
}

/* BOUTONS */
.swiper-button-prev.panatta,
.swiper-button-next.panatta,
.swiper-button-prev.technogym,
.swiper-button-next.technogym,
.swiper-button-prev.lifefitness,
.swiper-button-next.lifefitness,
.swiper-button-prev.hoist,
.swiper-button-next.hoist {
  background-color: hsl(var(--bleu-color), 90%, 50%);
  box-shadow: 0 0 16px 4px hsl(var(--bleu-color), 90%, 50%);
  width: 2.5rem;
  height: 2.5rem;
  border-radius: 50%;
  font-size: 2.5rem;
  font-weight: 900;
  color: var(--body-color);
  cursor: pointer;
  transition: transform 0.4s;
}

.swiper-button-prev:hover i {
  transform: translateX(-0.25rem);
}
.swiper-button-next:hover i {
  transform: translateX(0.25rem);
}


/*---=== PRICING ===-----------------------------------------------------------------*/
.pricing{
  padding-top: 3rem;
}

.pricing__container {
  display: flex;
  flex-wrap: wrap;
  gap: 15px;
}

.pricing__data  {
   text-align: center;
}

.pricing__data h4 {
  margin-top: 1rem;
}

.pricing__card {
  position: relative;
  flex: 1 1 calc(33.333% - 20px);
  background-color: var(--container-color);
  padding: 2rem 0.75rem;
  box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
  user-select: none;
  transition: transform 0.4s;
}

.pricing__container:hover .pricing__card:not(:hover) {
  transform: scale(0.98);
}

.pricing__card:hover {
  transform: scale(1.05);
}

/* details */
.pricing__type-details {
  font-size: var(--h3-font-size);
  text-align: center;
}

.pricing__type-details span {
  font-weight: var(--font-semibold);
  color: var(--first-color);
}

.pricing__title {
  margin-block: 3rem 2rem;
  text-align: center;
}

.pricing__card-title {
  font-size: var(--h3-font-size);
  text-align: center;
  padding-bottom: 1rem;
  margin-bottom: 2rem;
  border-bottom: 1px solid #606262;
}

.pricing__card-cotisation {
  font-size: var(--h2-font-size);
  color: var(--first-color);
  text-align: center;
}

.pricing__card-description {
  font-size: var(--normal-font-size);
  font-weight: var(--font-semibold);
  text-align: center;
  margin-block: 0.5rem 0.5rem;
}

.pricing__card-img {
  height: 200px;
  margin-inline: auto;
  opacity: 0.3;
}

.pricing__card-img.famille {
  position:absolute;
  top: 40%;
  left: 15%;
  opacity: 0.3;
}

.pricing__card-note {
  margin-top: 1.5rem;
}

.separator {
  font-size: var(--h2-font-size);
  text-align: center;
}

/* Active card */
.pricing__card-active {
  background-color: var(--first-color);
}

.pricing__card-active :is(.pricing__card-cotisation, .pricing__card-description) {
  color: var(--title-color-black);
}

.pricing__card-active :is(.pricing__card-title) {
  border-bottom: 1px solid var(--title-color-black);
}


/*---=== CONTACT ===-----------------------------------------------------------------*/

.contact {
  position: relative;
}

.contact__form {
  min-width: 320px;
  padding: 1.5rem 1.5rem;
  background-color: var(--container-color);
  box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}

.contact__title {
  margin-bottom: 1rem;
}

.contact__form-content {
  row-gap: 1.75rem;
}

.contact__container {
  position: relative;
  --column: 2;
  grid-template-columns: 1fr 1fr;
  column-gap: 0.5rem;
}

/* Form */
.contact__title,
.map__title {
  text-align: center;
}

.contact__form-box {
  grid-template-columns: max-content 1fr;
  align-items: center;
  column-gap: 0.75rem;
  border-bottom: 2px solid var(--text-color);
}

.form-icon {
  font-size: 1.50rem;
}

.contact__input {
  width: 100%;
  padding-block: 0.8rem;
  position: relative;
  z-index: 1;
}

.contact__area {
  resize: none;
  height: 50px;
}

.contact__form-input {
  position: relative;
}

.contact__label {
  position: absolute;
  left: 0;
  top: 13px;
  font-weight: var(--font-semibold);
  transition: top 0.3s, font-size 0.3s;
}

.contact__form .button {
  margin-top: 1rem;
}

.contact__form-box i {
  color: var(--first-color);
}

.contact__message-send {
  margin-top: 1rem;
  color: var(--first-color);
  text-align: center;
}

/* Input focus move up label */
.contact__input:focus + .contact__label {
  top: -12px;
  font-size: var(--small-font-size);
  color: var(--text-color);
}

/* Input focus sticky top label */
.contact__input:not(:placeholder-shown).contact__input:not(:focus) + .contact__label {
  top: -12px;
  font-size: var(--small-font-size);
}

.contact__form .button {
  width: 100%;
}

.contact__color-first {
  color: var(--first-color);
}

.contact__color-red {
  color: hsl(2,76%, 53%);
}
/* SHAPE HALTERE */
.shape-haltere {
  position: absolute;
  top: -5.5rem;
  right: 2rem;
  opacity: 0.3;
}

/* Map */
.map {
  width: 100%;
  position: relative;
  background-color: var(--container-color);
  box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
  padding: 1rem;
}
.map__title {
  margin-bottom: 0.5rem;
}

.map iframe {
  width: 100%;
  height: 450px;
}

/* Horaires */
.infos {
  grid-template-columns: repeat(3, 1fr);
  column-gap: 0.5rem;
  margin-top: 0.5rem;
  justify-items: center;
}

.infos__title {
  text-align: center;
  margin-bottom: 1rem;
}

.infos__card {
  background-color: var(--container-color);
  box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
  display: flex;
  flex-direction: column;
  width: 100%;
  padding: 1rem;
}

.infos__item {
  display: flex;
  column-gap: 0.5rem;
  margin-bottom: 0.5rem;
}

.infos__item i {
  color: var(--first-color);
}

/* Socials */
.socials {
  margin-inline: auto;
}

.socials__container {
  display: flex;
  gap: 30px;
  margin-inline: auto;
  margin-block: 50px 0;
}

.socials__container a {
  background-color: white;
  padding: 0.75rem;
  border-radius: 50%;
  height: 50px;
  width: 50px;
  flex-shrink: 0;
  display: grid;
  place-items: center;
}

.socials__container a svg {
  height: 25px;
}

.socials__container a::before {
  content: attr(data-social);
  position: absolute;
  background-color: var(--accent-color);
  color: white;
  text-decoration: none;
  padding: 0.5rem 1rem;
  border-radius: 100px;
  transform: translateY(-30px) rotate(25deg);
  opacity: 0;
  transition: 200ms cubic-bezier(0.42, -0.03, 0.44, 1.71);
}

.socials__container a:hover {
  background-color: var(--accent-color);
  fill: white;
}

.socials__container a::after {
  content: "";
  position: absolute;
  height: 0;
  width: 0;
  border-left: 8px solid transparent;
  border-right: 8px solid transparent;
  border-top: 10px solid var(--accent-color);
  transform: translateY(0) rotate(25deg);
  opacity: 0;
  transition: 200ms cubic-bezier(0.42, -0.03, 0.44, 1.71);
}

.socials__container a:hover::before {
  transform: translateY(-60px) rotate(0);
  opacity: 1;
}

.socials__container a:hover::after {
  transform: translateY(-37px) rotate(0);
  opacity: 1;
}


/*---=== IMC ===-----------------------------------------------------------------*/

.imc__container {
  grid-template-columns: 1fr 1fr;
  align-items: end;
  gap: 3rem;
  padding-inline: 0;
}

.imc__form {
  --column: 2;
  gap: 1rem;
  margin-top: 0.5rem;
}

.imc__description {
  max-width: 550px;
  margin-bottom: 3rem;
}

.imc__box {
  position: relative;
  border: 2px solid var(--text-color);
}

.imc__input {
  width: 100%;
  padding: 1.25rem 3.5rem 1.25rem 1.5rem;
}

.imc__label {
  position: absolute;
  right: 1.5rem;
  top: 1.25rem;
  color: var(--title-color);
}

.imc__form .button {
  grid-column: 1/3;
}

/* suppression des spin */
.imc__input::-webkit-outer-spin-button,
.imc__input::-webkit-inner-spin-button {
  appearance: none;
}

/* suppression des sin dans firefox */
.imc__input[type=number] {
  appearance: textfield;
}

.imc__message {
  font-family: var(--second-font);
  font-weight: var(--font-semibold);
  color: var(--first-color-dark);
}

.imc__results-box {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  text-align: center;
  justify-content: center;
}

.imc__results {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.imc__card-result {
  display: flex;
  flex-direction: column;
  align-items: center;
  opacity: 0.1;
}

.imc__man-result {
  margin-top: 0.5rem;
  width: 120px
}

.imc__indice {
  background-color: var(--container-color);
  color: white;
  font-weight: 600;
  padding: 1.15rem;
}

.imc__indice.man-1 {
  background-color: var(--imc-man-1);
}
.imc__indice.man-2 {
  background-color: var(--imc-man-2);
}
.imc__indice.man-3 {
  background-color: var(--imc-man-3);
}
.imc__indice.man-4 {
  background-color: var(--imc-man-4);
}

.imc__color-1 {
  background-color: var(--imc-man-1);
  border: 2px solid var(--imc-man-1);
}
.imc__color-2 {
  background-color: var(--imc-man-2);
  border: 2px solid var(--imc-man-2);
}
.imc__color-3 {
  background-color: var(--imc-man-3);
  border: 2px solid var(--imc-man-3);
}
.imc__color-4 {
  background-color: var(--imc-man-4);
  border: 2px solid var(--imc-man-4);
}

#imc-card-1.show,
#imc-card-2.show,
#imc-card-3.show,
#imc-card-4.show {
  opacity: 1;
}

#imc-card-1,
#imc-card-2,
#imc-card-3,
#imc-card-4{
  opacity: 0.1;
}

.imc__man-id {
  color: var(--body-color);
  font-size: var(--small-font-size);
  font-weight: var(--font-semibold);
  text-align: center;
  padding: 0.4rem;
}

.imc__man-text {
  font-size: var(--small-font-size);
  font-weight: var(--font-semibold);
  text-align: center;
  padding: 0.4rem 0 0.4rem;
  background-color: var(--body-color);
}

.imc__man-img {
  width: 80px;
}

.imc__conseil {
  font-size: var(--h3-font-size);
  font-weight: var(--font-semibold);
  text-align: center;
  margin: 1rem;
  padding: 1rem;
}


/*---=== FOOTER ===-----------------------------------------------------------------*/

.footer {
  margin-bottom: 1rem;
}

.footer__copy {
  text-align: center;
}

.footer__container {
  border-top: 2px solid var(--container-color);
  display: flex;
  justify-content: space-between;
  padding-top: 1rem;
  margin-block: 3rem;
}

.footer__list:last-child {
  text-align: end;
}

.footer__item span {
  color: var(--first-color);
  font-family: var(--second-font);
  font-size: var(--h3-font-size);
}


/*---=== SCROLL UP ===-----------------------------------------------------------------*/

.scrollup {
  position: fixed;
  right: 2rem;
  bottom: -50%;
  background-color: var(--first-color);
  box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
  display: inline-flex;
  padding: 0.35rem;
  color: var(--title-color-black);
  font-size: 1.25rem;
  z-index: 100;
  transition: bottom 0.4s, transform 0.4s;
}

.scrollup:hover {
  background-color: var(--first-color-dark);
  transform: translateY(-0.5rem);
}

/* Show Scroll Up */
.show-scroll {
  bottom: 3rem;
}


/*---=== BREAKPOINTS / RESPONSIVE ===-----------------------------------------*/

/* For large devices */
@media screen and (max-width: 1200px) {
  .scrollup {
    right: 1rem;
  }
}

/* For intermediate devices */
@media screen and (max-width: 1024px) {
  /* nav menu */
  .nav {
    height: 3.5rem;
  }

  .nav__logo-img {
    width: 40px;
    border-radius: 15%;
  }

  .nav__menu {
    position: fixed;
    top: 0;
    right: -100%;
    border-left: 2px solid var(--container-color);
    background-color: hsla(180, 12%, 8%, 0.8);
    backdrop-filter: blur(32px);
    width: 50%;
    height: 100%;
    transition: right 0.3s;
  }

  /* MAIN.JS show menu */
  .show-menu {
    right: 0;
  }

  .nav__list {
    flex-direction: column;
    align-items: flex-start;
    row-gap: 2.5rem;
    padding: 5rem 0 0 3rem;
  }

  .nav__close,
  .nav__toggle {
    display: inline-flex;
    cursor: pointer;
  }

  .nav__close {
    position: absolute;
    font-size: 1.5rem;
    top: 1rem;
    right: 1.5rem;
  }

  .nav__toggle {
    font-size: 1.5rem;
  }

  /* main */
  .section {
    padding-top: 6rem;
  }

  /* Logos qui défile */
  .logos__logo-img {
    height: 20px;
  }

  .logos__item i {
    font-size: 0.75rem;
  }

  .home__container {
    padding-top: 2rem;
  }

  .home__description {
    font-size: var(--h3-font-size);
  }

  /* Text AIX BODY FORM en fond d'ecran d'accueil */
  .home__data::before {
    max-width: 1000px;
    font-size: 12rem;
    line-height: 10rem;
  }

  .pricing__card {
    flex: 1 1 calc(50% - 20px);
  }

  .pricing__card-img.famille {
    left: 38%;
  }

  /* Shape home musclé sur Machine */
  .shape-muscu {
    width: 12rem;
    top: -6rem;
    right: 2rem;
  }

  /* Shape altère sur contact */
  .shape-haltere {
    width: 20%;
    top: -5.3rem;
    right: 1rem;
  }

  .imc__container {
    margin-inline: 8rem;
  }

  /* Formulaire / Map */
  .contact__container {
    --column : 1;
    row-gap: 1rem;
  }

  /* Coordonées / Horaires / Réseaux Sociaux */
  .infos {
    grid-template-columns: 1fr;
    column-gap: 0.5rem;
    row-gap: 0.5rem;
  }

  /* IMC */
  .imc__container {
    grid-template-columns: 1fr;
  }
}

/* For medium devices */
@media screen and (max-width: 768px) {
  .nav__menu {
    width: 80%;
  }

  .nav__logo-img {
    width: 30px;
  }

  .home__container {
    grid-template-columns: 1fr;
    row-gap: 3rem;
  }
  
  .home__data{
    padding-top: 0;
    text-align: center;
  }

  .home__description p {
    text-align: center;
  }

  .home__img {
    margin-inline: auto;
  }

  /* Text AIX BODY FORM en fond d'ecran d'accueil */
  .home__data::before {
    display: none;
  }

  .pricing__card {
    flex: 1 1 100%;
  }
  .pricing__card-img.famille {
    left: 33%;
  }

  /* Shape altère sur contact */
  .shape-haltere {
    width: 20%;
    top: -5rem;
    right
    : 1rem;
  }

  .contact__container {
    grid-template-columns: 1fr;
  }

  .imc__container {
    margin-inline: 4rem;
  }
}

/* For small devices */
@media screen and (max-width: 540px) { 

  .home__img {
    max-width: 20rem;
  }

  .home__description {
    font-size: var(--h3-font-size);
  }

  .home__data {
    padding-top: 0.5rem;
  }

  .logos__item i {
    font-size: 0.75rem;
  }

  /*--- Machine Info Zone ---*/
  .machine__card-zone {
    width: 350px;
  }
  .machine__card-info-data {
    flex-direction: column;
    row-gap: 1rem;
  }
  .hoist .machine__logos img {
    height: 2rem;
  }
  /*--- Machine Info Zone ---*/
  .machine__card-zone {
    width: 350px;
    padding: 4.5rem 0 1.5rem 4rem;
  }

  /*--- Pricing ---*/
  .pricing__card-img.famille {
    left: 26%;
  }

  /* Shape altère sur contact */
  .shape-haltere,
  .shape-muscu {
    display: none;
  }

   /* Formulaire / Map */
  .contact__container {
    grid-template-columns: 1fr;
  }

  .contact__container,
  .infos,
  .imc__container {
    margin-inline: 0;
  }

  .contact__form {
    width: 100%;
  }

  /* Coordonées / Horaires / Réseaux Sociaux */
  .infos {
    grid-template-columns: 1fr;
    row-gap: 0.5rem;
  }

  /* IMC */
  .imc__container {
    grid-template-columns: 1fr;
    margin-inline: auto;
  }

  .imc__man-result {
    width: 100px;
  }

  .footer__container {
    flex-direction: column;
    align-items: center;
  }

  .footer__item {
    text-align: center;
  }

  .footer__item span {
    font-size: 1rem;
  }
  .footer__link {
    font-size: 0.8rem;
  }
  .footer__item {
    font-size: 0.8rem;
  }

  .footer__copy {
    font-size: 0.8rem;
  }
}

/* For small devices */
@media screen and (max-width: 360px) {

  .home__subtitle {
    font-size: 1.5rem;
  }

  .home__title {
    font-size: 2rem;
  }

  .home__description {
    font-size: var(--h3-front-size);
  }

  .home__img {
    max-width: 15rem;
  }

  .pricing__card-img.famille {
    left: 15%;
  }

  .section__title {
    font-size: var(--h2-font-size) ;
  }

  .gallery-wrapper {
    border-radius: 10px;
  }

  /* Galerie Photos */
  .gallery-slide {
    width: 100%;
  }

  .gallery-slide-img{
    display: flex;
    justify-content: center;
  }

  .gallery-slide-img img {
    object-fit: cover;
    width: 100%;
    justify-content: center;
  }

  .swiper-button-prev.gallery,
  .swiper-button-next.gallery,
  .swiper-button-prev.panatta,
  .swiper-button-next.panatta,
  .swiper-button-prev.technogym,
  .swiper-button-next.technogym,
  .swiper-button-prev.lifefitness,
  .swiper-button-next.lifefitness,
  .swiper-button-prev.hoist,
  .swiper-button-next.hoist {
    width: 2rem;
    height: 2rem;
    font-size: 2rem;
  }

  .swiper-slide.gallery-slide p {
    font-size: 0.8rem;
  }

  .container {
    padding-inline: 1rem;
  }

  .pricing__data  {
    text-align: center;
  }

  .imc__container {
    margin-inline: 0;
  }
  .imc__results {
    justify-content: center;
    row-gap: 1rem;
    gap: 0.5rem;
  }

  .machine__subtitle {
    display: flex;
    flex-direction: column;
    font-size: 1rem;
    row-gap: 0.5rem;
  }

  .machine__container {
    row-gap: 0;
    margin-bottom: 2rem;
  }

  .machine__subtitle img {
    height: 25px;
    object-fit: fill;
  }

  /*--- Machine Info Zone ---*/
  .machine__card-zone {
    width: 250px;
  }

  .machine__card-info-data {
    flex-direction: column;
    justify-items: left;
  }

  .machine__card-zone-title {
    font-size: 1rem;
  }
  .machine__card-zone-subtitle {
    font-size: 0.8rem;
  }

  .machine__card-zone-box-2 {
    font-size: 1rem;
  }

  .machine__card-zone-box-2 p {
    font-size: 0.8rem;
  }

  .machine__card-info-description {
    font-size: 0.8rem;
  }

  .logos__item i {
    font-size: 0.75rem;
  }

  .machine__card-image {
  height: 450px;
  }

  .machine__card-img {
    max-height: 500px;
    transition: var(--transition-timing);
  }

  .machine__card-zone-img {
    width: 150px;
  }

  .machine__card-btn-zone {
    width: 70px;
  }
  
  .machine__card-btn-zone img {
    width: 4rem;
  }

  .machine__card-data h3 {
    font-size: 0.8rem;
  }
  .machine__card-data span {
    font-size: 0.7rem;
  }

  .swiper-button-prev.panatta,
  .swiper-button-prev.technogym,
  .swiper-button-next.panatta,
  .swiper-button-next.technogym {
    top: 54%;
  }
}